<?php
/**
 * @package   ats
 * @copyright Copyright (c)2011-2020 Nicholas K. Dionysopoulos / Akeeba Ltd
 * @license   GNU General Public License version 3, or later
 */

namespace Akeeba\TicketSystem\Admin\View\ControlPanel;

defined('_JEXEC') or die;

use Joomla\CMS\Language\Text;

class Html extends \FOF30\View\DataView\Html
{
	/** @var bool Is the Download ID missing? */
	public $needsdlid;

	/** @var bool Is a menu item for ATS missing? */
	public $needsMenuItem;

	/** @var string The formatted date when we stop supporting older PHP versions */
	public $akeebaCommonDateObsolescence;

	/** @var string The formatted date when the PHP version went EOL */
	public $akeebaCommonDatePHP;

	/** @var string IFRAME definition for stats collection */
	public $statsIframe;

	/**
	 * Do I have stuck updates pending?
	 *
	 * @var  bool
	 */
	public $stuckUpdates = false;

	protected function onBeforeMain($tpl = null)
	{
		$this->container->template->addJS('media://com_ats/js/Modal.js');
		$this->container->template->addJS('media://com_ats/js/Ajax.js');
		$this->container->template->addJS('media://com_ats/js/ControlPanel.js');
		$this->container->template->addJS('media://com_ats/js/Chart.bundle.min.js');

		if ($this->container->params->get('userfeedback', 0) && ATS_PRO)
		{
			$this->container->template->addJS('media://com_ats//datatables/js/datatables.min.js');
			$this->container->template->addJS('media://com_ats//datatables/js/paging.js');
			$this->container->template->addCSS('media://com_ats/datatables/css/datatables.css');
		}

		Text::script('COM_ATS_CPANEL_OPENED');
		Text::script('COM_ATS_CPANEL_SAVED');

		$platform = $this->container->platform;

		/** @var \Akeeba\TicketSystem\Admin\Model\ControlPanel $model */
		$model = $this->getModel();
		/** @var \Akeeba\TicketSystem\Admin\Model\Stats $stats */
		$stats = $this->container->factory->model('Stats')->tmpInstance();

		$this->akeebaCommonDatePHP          = $platform->getDate('2015-09-03 00:00:00', 'GMT')->format(Text::_('DATE_FORMAT_LC1'));
		$this->akeebaCommonDateObsolescence = $platform->getDate('2016-06-03 00:00:00', 'GMT')->format(Text::_('DATE_FORMAT_LC1'));
		$this->needsdlid                    = $model->needsDownloadID();
		$this->needsMenuItem                = $model->needsCategoriesMenu();
		$this->statsIframe                  = $stats->collectStatistics(true);
		$this->stuckUpdates                 = ($this->container->params->get('updatedb', 0) == 1);
	}
}
